import request from '@/utils/request'

// 查询留言信息列表
export function listAppeal(query) {
  return request({
    url: '/system/appeal/list',
    method: 'get',
    params: query
  })
}

// 查询留言信息详细
export function getAppeal(id) {
  return request({
    url: '/system/appeal/' + id,
    method: 'get'
  })
}

// 新增留言信息
export function addAppeal(data) {
  return request({
    url: '/system/appeal',
    method: 'post',
    data: data
  })
}

// 修改留言信息
export function updateAppeal(data) {
  return request({
    url: '/system/appeal',
    method: 'put',
    data: data
  })
}

// 删除留言信息
export function delAppeal(id) {
  return request({
    url: '/system/appeal/' + id,
    method: 'delete'
  })
}
